Review your favorite Linux distribution.
Go Back > Forums > Linux Forums > Linux - Distributions > Red Hat
User Name
Red Hat This forum is for the discussion of Red Hat Linux.


  Search this Thread
Old 02-20-2013, 12:10 AM   #1
LQ Newbie
Registered: Feb 2013
Posts: 2

Rep: Reputation: Disabled
Question Unable to use cmake any many other commands after yum update

I just did a yum update on my system on redhat 5.4. After that I am unable to use many commands like cmake,make etc. It is giving below error.
$ cmake
cmake: error while loading shared libraries: wrong ELF class: ELFCLASS32

I did few searches and found it is due to 32 bit libcurl file instead of 64 bit on my 64 bit system.I removed curl.i386 using "rpm -e --nodepend libcurl.i386" command, but still it is giving me same error.

Below are outputs of other commands that i ran as google suggested.

ldconfig -p | grep libcurl (libc6,x86-64) => /lib/ (libc6,x86-64) => /usr/lib64/ (libc6) => /usr/lib64/ (libc6,x86-64) => /lib/ (libc6,x86-64) => /usr/lib64/
After removal libcurl is not present in /usr/lib but it is still present in /usr/lib64

Can i somehow remove from ldconfig or any other solution to link it correctly. Thanks.
Old 02-20-2013, 05:19 AM   #2
Registered: Oct 2012
Distribution: OpenSuSE,RHEL,Fedora,OpenBSD
Posts: 968
Blog Entries: 2

Rep: Reputation: 232Reputation: 232Reputation: 232
Ask RH support. If a bad update has occurred someone should know about it and arrange that another update sorts it out.
2 members found this post helpful.
Old 02-28-2013, 12:52 PM   #3
LQ Newbie
Registered: Feb 2013
Posts: 2

Original Poster
Rep: Reputation: Disabled
My best guess is it was not a bad update. I have tried to do several changes in the system that i don't understand fully. Only issue was even removing and reinstalling libcurl is not helping at all. Anyways I think I will do stuff in vm instead.Thanks.


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off

Similar Threads
Thread Thread Starter Forum Replies Last Post
unable to update yum seeker48 Linux - Newbie 2 06-05-2009 06:22 AM
unable to update fedora 10 through yum baig Linux - Newbie 5 02-23-2009 07:30 AM
Yum repository (dries) unable to update due to disk crash O(V)eGA_l2el) Fedora 6 11-09-2007 06:28 AM
Unable to update system with YUM (Dependency?) chess380 Fedora 1 09-23-2006 05:25 PM
Unable to yum update tkt Linux - Newbie 1 09-22-2005 11:02 AM

All times are GMT -5. The time now is 11:44 AM.

Main Menu
Write for LQ is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration